dbXML API

## com.dbxml.db.enterprise.sync
Class Content

    java.lang.Object
      com.dbxml.db.enterprise.sync.Content

All Implemented Interfaces:
  XMLSerializable

public final class Content
extends java.lang.Object
implements XMLSerializable

Content represents metadata about a piece of dbXML content, such as a Document or a binary image.

Constructor Summary
`Content()`
`Content(java.lang.String path)`

Method Summary
`java.util.Date` `getCreated()`
`java.util.Set` `getGroups()`
`java.util.Date` `getModified()`
`java.util.List` `getNotes()`
`java.lang.String` `getOwner()`
`java.lang.String` `getPath()`
`long` `getSize()`
`int` `getStatus()`
`java.util.Set` `getTags()`
`double` `getVersion()`
`void` `setCreated(java.util.Date created)`
`void` `setModified(java.util.Date modified)`
`void` `setOwner(java.lang.String owner)`
`void` `setPath(java.lang.String path)`
`void` `setSize(long size)`
`void` `setStatus(int status)`
`void` `setVersion(double version)`
`void` `streamFromXML(org.w3c.dom.Element element)` streamFromXML streams an object from XML.
`org.w3c.dom.Element` `streamToXML(org.w3c.dom.Document doc)` streamToXML streams an object to XML.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Content

    public Content()

### Content

    public Content(java.lang.String path)

Method Detail

### streamToXML

    public org.w3c.dom.Element streamToXML(org.w3c.dom.Document doc)
                                    throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamToXML streams an object to XML.

  Specified by:
    `streamToXML` in interface `XMLSerializable`
  Parameters:
    `doc` - The Owner Document
  Returns:
    A newly created Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

### streamFromXML

    public void streamFromXML(org.w3c.dom.Element element)
                       throws org.w3c.dom.DOMException

  Description copied from interface: `XMLSerializable`
  streamFromXML streams an object from XML.

  Specified by:
    `streamFromXML` in interface `XMLSerializable`
  Parameters:
    `element` - The Input Element
  Throws:
    `org.w3c.dom.DOMException` - If an error occurs

### getPath

    public java.lang.String getPath()

### setPath

    public void setPath(java.lang.String path)

### getStatus

    public int getStatus()

### setStatus

    public void setStatus(int status)

### getOwner

    public java.lang.String getOwner()

### setOwner

    public void setOwner(java.lang.String owner)

### getModified

    public java.util.Date getModified()

### setModified

    public void setModified(java.util.Date modified)

### getCreated

    public java.util.Date getCreated()

### setCreated

    public void setCreated(java.util.Date created)

### getSize

    public long getSize()

### setSize

    public void setSize(long size)

### getVersion

    public double getVersion()

### setVersion

    public void setVersion(double version)

### getGroups

    public java.util.Set getGroups()

### getTags

    public java.util.Set getTags()

### getNotes

    public java.util.List getNotes()

dbXML API

Copyright (c) 2004 The dbXML Group